<?php
/**
 * appAddThisBackend actions.
 *
 */
class appAddThisBackendActions extends stAdminGeneratorActions
{
        /**
   * Zapisuje konfiguracje modulu
   */
    public function executeIndex()
    {
        $i18n = $this->getContext()->getI18N();
        $this->config = stConfig::getInstance($this->getContext());
        if ($this->getRequest()->getMethod() == sfRequest::POST)
        {
            $this->config->setFromRequest('addthis');
            $this->config->save();
            stFastCacheManager::clearCache();
            $this->setFlash('notice', 'Twoje zmiany zostały zapisane');
        }
         $this->getBreadcrumbs()->add($i18n->__('Konfiguracja', null, 'stAdminGeneratorPlugin'));
    }

    /**
     * Informuje o nieudanym wysłaniu polecenia sklepu
     */
    public function handleErrorIndex()
    {
        $this->config = stConfig::getInstance($this->getContext());
        $this->config->setFromRequest('addthis');
        $this->labels = $this->getLabels();

        $i18n = $this->getContext()->getI18N();
        $this->getBreadcrumbs()->add($i18n->__('Konfiguracja', null, 'stAdminGeneratorPlugin'));


        return sfView::SUCCESS;

    }

    public function validateIndex()
    {   
        if ($this->getRequest()->getMethod() == sfRequest::POST)
        {
            stAuthUsersListener::checkModificationCredentials($this, $this->getRequest(), $this->getModuleName());
        }     

        return true;
    }

    protected function getLabels()
    {

        $i18n = $this->getContext()->getI18N();
        return array(
        'addthis{user}' => $i18n->__('ID profilu'),
        );
    }

    protected function getBreadcrumbs(){
        
        if (null === $this->breadcrumbs){
            $i18n = $this->getContext()->getI18N();
            $this->breadcrumbs = parent::getBreadcrumbs();
            $this->breadcrumbs->add($i18n->__('Aplikacja AddThis'), '@appAddThisPlugin');
        }

        return $this->breadcrumbs;
    }

}
